<?php
// $Id$
/**
 * @file
 * Liste des formations proposées dans un ensemble de formats
 */

$view = new view;
$view->name = 'fgcf_formations_par_format';
$view->description = 'FG Formations par Format';
$view->tag = 'FGCF';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('relationships', array(
  'parent' => array(
    'id' => 'parent',
    'table' => 'term_hierarchy',
    'field' => 'parent',
    'required' => 0,
  ),
  'field_fgcf_fiche_organisme_nid' => array(
    'id' => 'field_fgcf_fiche_organisme_nid',
    'table' => 'node_data_field_fgcf_fiche_organisme',
    'field' => 'field_fgcf_fiche_organisme_nid',
    'required' => 0,
    'delta' => '-1',
  ),
));
$handler->override_option('fields', array(
  'nid' => array(
    'id' => 'nid',
    'table' => 'node',
    'field' => 'nid',
    'exclude' => TRUE,
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 1,
  ),
  'tid' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 1,
    'id' => 'tid',
    'table' => 'term_data',
    'field' => 'tid',
    'relationship' => 'parent',
  ),
  'name' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'fgcf/thematique/[tid]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_taxonomy' => 0,
    'exclude' => 1,
    'id' => 'name',
    'table' => 'term_data',
    'field' => 'name',
    'relationship' => 'parent',
  ),
  'tid_1' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 1,
    'id' => 'tid_1',
    'table' => 'term_data',
    'field' => 'tid',
    'relationship' => 'none',
  ),
  'description' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 1,
      'path' => 'fgcf/thematique/[tid_1]',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 1,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'description',
    'table' => 'term_data',
    'field' => 'description',
    'relationship' => 'none',
  ),
  'nothing' => array(
    'label' => 'Thématique',
    'alter' => array(
      'text' => '[name] / [description]',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'nothing',
    'table' => 'views',
    'field' => 'nothing',
    'relationship' => 'none',
  ),
  'title' => array(
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'label' => 'Titre',
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 1,
  ),
  'field_fgcf_fiche_organisme_nid' => array(
    'id' => 'field_fgcf_fiche_organisme_nid',
    'table' => 'node_data_field_fgcf_fiche_organisme',
    'field' => 'field_fgcf_fiche_organisme_nid',
    'label' => 'Organisme',
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'label_type' => 'custom',
    'multiple' => array(
      'group' => 1,
      'multiple_reversed' => 0,
    ),
  ),
  'field_fgcf_fiche_format_value' => array(
    'id' => 'field_fgcf_fiche_format_value',
    'table' => 'node_data_field_fgcf_fiche_format',
    'field' => 'field_fgcf_fiche_format_value',
    'label' => 'Format de cours',
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'multiple' => array(
      'group' => 1,
      'multiple_reversed' => 0,
    ),
  ),
));
$handler->override_option('sorts', array(
  'name' => array(
    'id' => 'name',
    'table' => 'term_data',
    'field' => 'name',
    'relationship' => 'parent',
  ),
  'name_1' => array(
    'id' => 'name_1',
    'table' => 'term_data',
    'field' => 'name',
  ),
  'title' => array(
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'relationship' => 'field_fgcf_fiche_organisme_nid',
  ),
));
$handler->override_option('arguments', array(
  'field_fgcf_fiche_format_value' => array(
    'default_action' => 'empty',
    'style_plugin' => 'default_summary',
    'style_options' => array(
      'items_per_page' => '25',
    ),
    'wildcard' => 'all',
    'wildcard_substitution' => 'All',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'fixed',
    'default_argument' => '',
    'validate_type' => 'none',
    'validate_fail' => 'not found',
    'break_phrase' => 1,
    'not' => 0,
    'id' => 'field_fgcf_fiche_format_value',
    'table' => 'node_data_field_fgcf_fiche_format',
    'field' => 'field_fgcf_fiche_format_value',
    'validate_options' => array(
      'vids' => array(
        '2' => 2,
      ),
      'type' => 'tids',
      'transform' => 0,
    ),
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'fgcf_fiche' => 0,
      'fgcf_prestataire' => 0,
      'fgcf_thematique' => 0,
      'page' => 0,
      'story' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '2' => 0,
      '5' => 0,
      '4' => 0,
      '3' => 0,
      '1' => 0,
    ),
    'validate_argument_type' => 'tids',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'validate_argument_php' => '',
  ),
  'field_fgcf_fiche_dif_value' => array(
    'default_action' => 'ignore',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => 'all',
    'wildcard_substitution' => 'All',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'fixed',
    'default_argument' => '',
    'validate_type' => 'none',
    'validate_fail' => 'not found',
    'add_table' => 0,
    'require_value' => 0,
    'reduce_duplicates' => 0,
    'id' => 'field_fgcf_fiche_dif_value',
    'table' => 'node_data_field_fgcf_fiche_dif',
    'field' => 'field_fgcf_fiche_dif_value',
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'fgcf_fiche' => 0,
      'fgcf_prestataire' => 0,
      'fgcf_thematique' => 0,
      'page' => 0,
      'story' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '2' => 0,
      '5' => 0,
      '4' => 0,
      '3' => 0,
      '1' => 0,
    ),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'validate_argument_php' => '',
  ),
  'field_fgcf_fiche_modalite_value' => array(
    'default_action' => 'ignore',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => 'all',
    'wildcard_substitution' => 'All',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'fixed',
    'default_argument' => '',
    'validate_type' => 'none',
    'validate_fail' => 'not found',
    'break_phrase' => 1,
    'add_table' => 0,
    'require_value' => 0,
    'reduce_duplicates' => 1,
    'id' => 'field_fgcf_fiche_modalite_value',
    'table' => 'node_data_field_fgcf_fiche_modalite',
    'field' => 'field_fgcf_fiche_modalite_value',
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'fgcf_fiche' => 0,
      'fgcf_prestataire' => 0,
      'fgcf_thematique' => 0,
      'page' => 0,
      'story' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '2' => 0,
      '5' => 0,
      '4' => 0,
      '3' => 0,
      '1' => 0,
    ),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'validate_argument_php' => '',
  ),
));
$handler->override_option('filters', array(
  'type' => array(
    'id' => 'type',
    'table' => 'node',
    'field' => 'type',
    'value' => array(
      'fgcf_fiche' => 'fgcf_fiche',
    ),
  ),
  'status_extra' => array(
    'id' => 'status_extra',
    'table' => 'node',
    'field' => 'status_extra',
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('header_format', '1');
$handler->override_option('header_empty', 0);
$handler->override_option('footer_format', '1');
$handler->override_option('footer_empty', 0);
$handler->override_option('empty', 'pas de résultat');
$handler->override_option('empty_format', '1');
$handler->override_option('style_plugin', 'table');
$handler->override_option('style_options', array(
  'columns' => array(
    'nid' => 'nid',
    'name' => 'name',
    'name_1' => 'name_1',
    'title' => 'title',
    'field_fgcf_fiche_format_value' => 'field_fgcf_fiche_format_value',
  ),
  'default' => '-1',
  'info' => array(
    'nid' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'name_1' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'field_fgcf_fiche_format_value' => array(
      'align' => '',
      'separator' => '',
    ),
  ),
  'override' => 1,
  'sticky' => 0,
));

