<?php
// $Id$
/**
 * @file
 * Liste des formats pédagogiques, liant vers les formations correspondantes
 */

$view = new view;
$view->name = 'fgcf_formats_de_formations';
$view->description = 'FG Liste des formats de formations';
$view->tag = 'FGCF';
$view->view_php = '';
$view->base_table = 'term_data';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('fields', array(
  'tid' => array(
    'id' => 'tid',
    'table' => 'term_data',
    'field' => 'tid',
    'exclude' => TRUE,
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
  ),
  'name' => array(
    'id' => 'name',
    'table' => 'term_data',
    'field' => 'name',
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 1,
      'path' => 'fgcf/format/[tid]',
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_taxonomy' => 0,
  ),
));
$handler->override_option('sorts', array(
  'name' => array(
    'id' => 'name',
    'table' => 'term_data',
    'field' => 'name',
  ),
));
$handler->override_option('arguments', array(
  'vid' => array(
    'default_action' => 'empty',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => 'all',
    'wildcard_substitution' => 'All',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'fixed',
    'default_argument' => '',
    'validate_type' => 'php',
    'validate_fail' => 'empty',
    'id' => 'vid',
    'table' => 'vocabulary',
    'field' => 'vid',
    'validate_options' => array(
      'code' => 'return TRUE;',
    ),
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'fgcf_fiche' => 0,
      'fgcf_prestataire' => 0,
      'fgcf_thematique' => 0,
      'page' => 0,
      'story' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '2' => 0,
      '5' => 0,
      '4' => 0,
      '3' => 0,
      '1' => 0,
    ),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'validate_argument_php' => 'return TRUE;',
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('empty', 'pas de résultats');
$handler->override_option('empty_format', '1');
$handler->override_option('style_plugin', 'list');
