<?php
// $Id$
/**
 * @file
 * Liste des formations proposée par un organisme passé en argument.
 */

$view = new view;
$view->name = 'fgcf_formations_par_organisme';
$view->description = 'FG Liste des formations assurées par un organisme';
$view->tag = 'FGCF';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('relationships', array(
  'parent' => array(
    'id' => 'parent',
    'table' => 'term_hierarchy',
    'field' => 'parent',
    'required' => 0,
  ),
));
$handler->override_option('fields', array(
  'tid' => array(
    'id' => 'tid',
    'table' => 'term_data',
    'field' => 'tid',
    'relationship' => 'parent',
    'label' => 'ParentTid',
    'exclude' => TRUE,
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
  ),
  'name' => array(
    'id' => 'name',
    'table' => 'term_data',
    'field' => 'name',
    'relationship' => 'parent',
    'exclude' => TRUE,
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 1,
      'path' => 'fgcf/thematique/[tid]',
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_taxonomy' => 0,
  ),
  'tid_1' => array(
    'id' => 'tid_1',
    'table' => 'term_data',
    'field' => 'tid',
    'exclude' => TRUE,
    'alter' => array(
      'alter_text' => 0,
      'text' => '[description] / [tid_1]',
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
  ),
  'description_1' => array(
    'id' => 'description_1',
    'table' => 'term_data',
    'field' => 'description',
    'exclude' => TRUE,
    'alter' => array(
      'alter_text' => 0,
      'text' => '[description] / <a href="/fgcf/thematique/[tid_1]">[description_1]</a>',
      'make_link' => 1,
      'path' => 'fgcf/thematique/[tid_1]',
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 1,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
  ),
  'nothing' => array(
    'id' => 'nothing',
    'table' => 'views',
    'field' => 'nothing',
    'label' => 'Thématique',
    'alter' => array(
      'text' => '[name] / [description_1]',
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
  ),
  'title' => array(
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
    'label' => 'Titre',
    'alter' => array(
      'alter_text' => 0,
      'make_link' => 0,
      'trim' => 0,
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
    ),
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 1,
  ),
));
$handler->override_option('sorts', array(
  'name' => array(
    'id' => 'name',
    'table' => 'term_data',
    'field' => 'name',
    'relationship' => 'parent',
  ),
  'name_1' => array(
    'id' => 'name_1',
    'table' => 'term_data',
    'field' => 'name',
  ),
  'title' => array(
    'id' => 'title',
    'table' => 'node',
    'field' => 'title',
  ),
));
$handler->override_option('arguments', array(
  'field_fgcf_fiche_organisme_nid' => array(
    'default_action' => 'default',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => 'all',
    'wildcard_substitution' => 'All',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'node',
    'default_argument' => '',
    'validate_type' => 'node',
    'validate_fail' => 'empty',
    'break_phrase' => 0,
    'not' => 0,
    'id' => 'field_fgcf_fiche_organisme_nid',
    'table' => 'node_data_field_fgcf_fiche_organisme',
    'field' => 'field_fgcf_fiche_organisme_nid',
    'validate_options' => array(
      'types' => array(
        'fgcf_prestataire' => 'fgcf_prestataire',
      ),
      'access' => 1,
    ),
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'fgcf_prestataire' => 'fgcf_prestataire',
      'fgcf_fiche' => 0,
      'fgcf_thematique' => 0,
      'page' => 0,
      'story' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '2' => 0,
      '5' => 0,
      '4' => 0,
      '3' => 0,
      '1' => 0,
    ),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'validate_argument_php' => '',
  ),
));
$handler->override_option('filters', array(
  'status_extra' => array(
    'id' => 'status_extra',
    'table' => 'node',
    'field' => 'status_extra',
  ),
  'type' => array(
    'id' => 'type',
    'table' => 'node',
    'field' => 'type',
    'value' => array(
      'fgcf_fiche' => 'fgcf_fiche',
    ),
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('title', 'Formations proposées');
$handler->override_option('empty', 'pas de résultat');
$handler->override_option('empty_format', '1');
$handler->override_option('items_per_page', 0);
$handler->override_option('style_plugin', 'table');
$handler->override_option('style_options', array(
  'columns' => array(
    'title' => 'title',
    'tid' => 'tid',
    'description' => 'description',
  ),
  'default' => '-1',
  'info' => array(
    'title' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'tid' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'description' => array(
      'align' => '',
      'separator' => '',
    ),
  ),
  'override' => 1,
  'sticky' => 0,
));
$handler = $view->new_display('node_content', 'Node content', 'node_content_1');
$handler->override_option('types', array(
  'fgcf_prestataire' => 'fgcf_prestataire',
));
$handler->override_option('modes', array(
  '0' => 'full',
));
$handler->override_option('argument_mode', 'nid');
$handler->override_option('default_argument', '');
$handler->override_option('show_title', 0);

